import { jsx as _jsx } from "react/jsx-runtime";
import { RaftTypeE } from "@robotical/webapp-types/dist-types/src/types/raft";
import ConnectButton from "./connect-button";
import DisconnectButton from "./disconnect-butotn";
import styles from "./styles.module.css";
export default function Connection({ connectedCog, setConnectedCog, handleDisconnect, handleConnect }) {
    return _jsx("div", { className: styles.connectionContainer, children: connectedCog ?
            _jsx(DisconnectButton, { onClickDisconnect: handleDisconnect, connectedRaft: connectedCog, robotType: RaftTypeE.COG }) :
            _jsx(ConnectButton, { raftType: RaftTypeE.COG, onConnect: handleConnect }) });
}
